# boost::lockfree::atomic_cas128 Struct Reference

List of all members.

## Detailed Description

Definition at line 146 of file cas.hpp.

## Static Public Member Functions

static bool | cas (volatile cas_type *addr, cas_type const &old, cas_type const &nw)

## Static Public Attributes

static const bool | is_lockfree = false

## Classes

struct | cas_type

The documentation for this struct was generated from the following file:

- common/include/boost/lockfree/detail/cas.hpp